<template>
  <view>
    <view class="" style="padding: 30upx 30upx 0px 30upx;">
      <block v-for="(value, key) in list" :key="key">
        <view @click="detail(value.video_id, value.video_series_sequence)" style="position: relative;"
          class="flex alcenter mb16">
          <image mode="aspectFill" class="tuan-product-l" :src="value.cover_image"></image>
          <view class="tuan-product-r pl15">
            <view class="ft16 ftw600 cl-main text-over2">{{ value.name }}</view>
            <view class="mt16">
              <p class="ft14 "> </p>
            </view>
            <view class="mt16 flex space alcenter">
              <p class="ft14 ">看到 <label class="ft14 cl-orange">&nbsp;&nbsp;{{ value.video_series_sequence }}集</label></p>
              <view class="btn-vip-adviser ml15">继续观看</view>
            </view>
          </view>
        </view>
      </block>
    </view>


  </view>
</template>

<script>
import {
  watchRecord,
  shelfList,
  delShelf
} from "@/common/apis/zju.js";
export default {
  data() {
    return {
      list: []
    }
  },
  onLoad(e) {

  },
  async onShow() {
    let res = await watchRecord();
    this.list = res.data;
  },
  onPageScroll(e) {
    this.scrollTop = e.scrollTop;
  },
  onReachBottom() {

  },
  methods: {
    detail(vid, item_id) {
      uni.navigateTo({ url: '/pages/video/index?video_id=' + vid + "&sequence=" + item_id })
    }
  }
}
</script>

<style>
@import url("style/zuijin.css");
</style>